Skip to main content
curl -X GET https://api.dronebundle.com/v1/job-types/wind_turbine \
  -H "Authorization: Bearer v1_your_api_key_here"
{
  "id": "wind_turbine",
  "name": "Wind Turbine",
  "icon": "wind",
  "is_predefined": true
}
Requires an API key with read_only or full_access scope.

Path parameters

jobTypeId
string
required
The unique identifier of the job type. For predefined types, use the readable ID (e.g. wind_turbine).

Response

id
string
Job type ID.
name
string
Display name.
icon
string
Icon identifier.
is_predefined
boolean
true for built-in types, false for custom types.
curl -X GET https://api.dronebundle.com/v1/job-types/wind_turbine \
  -H "Authorization: Bearer v1_your_api_key_here"
{
  "id": "wind_turbine",
  "name": "Wind Turbine",
  "icon": "wind",
  "is_predefined": true
}

Errors

404 Not Found - Job type not found.
{
  "message": "Job Type not found"
}